// DXSpotterClientDlg.h : header file
//

#pragma once


// CDXSpotterClientDlg dialog
class CDXSpotterClientDlg : public CDialog
{
// Construction
public:
	CDXSpotterClientDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_DXSPOTTERCLIENT_DIALOG };
	CRichEditCtrl	m_reInfo;
	CListBox	m_lstSpotters;

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	int m_nResult;
	HICON m_hIcon;
	CHARFORMAT m_cfMain;

	void SendMessageToSpotter(CString strMesage);
	void EnumSpotters();
	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonRefresh();
	afx_msg void OnButtonClose();
	afx_msg BOOL OnCopyData(CWnd* pWnd, COPYDATASTRUCT* pCopyDataStruct);
	afx_msg void OnButtonConnect();
	afx_msg void OnButtonDisconnect();
	afx_msg void OnButtonGetAllText();
	afx_msg void OnButtonGetAllSpots();
	afx_msg void OnButtonGetAnnounces();
	afx_msg void OnButtonGetLast5DX();
	afx_msg void OnButtonGetLast10DX();
	afx_msg void OnButtonSend();

	DECLARE_MESSAGE_MAP()
};
